import os
import sys
import subprocess

BASE_DIR = os.path.dirname(os.path.abspath(__file__))
MODULE_DIR = os.path.join(BASE_DIR, "module")

scripts = [
    "downloader_copier.py",
    "extract_acc.py",
    "install_novindesk.py"
]

for script in scripts:
    script_path = os.path.join(MODULE_DIR, script)
    print(f"[+] Running {script}...")
    result = subprocess.run([sys.executable, script_path], capture_output=True, text=True)
    
    if result.returncode == 0:
        print(f"[+] {script} executed successfully.\n")
    else:
        print(f"[-] Error running {script}:")
        if result.stdout:
            print(result.stdout)
        if result.stderr:
            print(result.stderr)
        break
